Package org.apache.lucene.internal.hppc

# Class DoubleCursor

java.lang.Object
org.apache.lucene.internal.hppc.DoubleCursor

public final class DoubleCursor extends Object
Forked from HPPC, holding int index and double value.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `index`
  The current value's index in the container this cursor belongs to.
  `double`
  `value`
  The current value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleCursor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### index

    public int index
    The current value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

  - ### value

    public double value
    The current value.

- ## Constructor Details

  - ### DoubleCursor

    public DoubleCursor()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`